

import org.apache.pivot.collections.Map;
import org.apache.pivot.wtk.Alert;
import org.apache.pivot.wtk.Application;
import org.apache.pivot.wtk.Button;
import org.apache.pivot.wtk.ButtonPressListener;
import org.apache.pivot.wtk.DesktopApplicationContext;
import org.apache.pivot.wtk.Display;
import org.apache.pivot.wtk.Label;
import org.apache.pivot.wtk.MessageType;
import org.apache.pivot.wtk.PushButton;
import org.apache.pivot.wtk.TextInput;
import org.apache.pivot.wtk.Window;
import org.apache.pivot.wtkx.WTKXSerializer;

public class HelloWTKX implements Application {
    private Window window = null;
    private Label label;
    private PushButton button1;
    private TextInput text1;

    @Override
    public void startup(Display display, Map<String, String> properties)
        throws Exception {
        WTKXSerializer wtkxSerializer = new WTKXSerializer();
        window = (Window)wtkxSerializer.readObject(this, "hello.wtkx");
        label = (Label)wtkxSerializer.get("label1");
        button1 = (PushButton)wtkxSerializer.get("button1");
        text1 = (TextInput)wtkxSerializer.get("text1");
        
        button1.getButtonPressListeners().add(new ButtonPressListener() {
                          @Override
                          public void buttonPressed(Button button) {
                             Alert.alert(MessageType.INFO, "Hello " + text1.getText(),
                                     window);
                         }
                     });
        window.open(display);
    }

    @Override
    public boolean shutdown(boolean optional) {
        if (window != null) {
            window.close();
        }

        return false;
    }

    @Override
    public void suspend() {
    }

    @Override
    public void resume() {
    }

    public static void main(String[] args) {
        DesktopApplicationContext.main(HelloWTKX.class, args);
    }
}            
